@media screen and (min-width: 1000px) {
  [data-section-type="product"] .product-gallery__carousel-item {
    min-height: min(650px, calc(100vh - 190px));
  }

  [data-section-type="product"] .product-gallery__size-limiter {
    width: min(100%, 680px);
    max-width: 680px !important;
  }

  [data-section-type="product"] .product-gallery__image {
    max-height: min(660px, calc(100vh - 190px)) !important;
    padding: 8px !important;
  }
}
